# IsValid

### Description

Returns whether the current license key is a valid key.

```csharp
bool IsValid ()
```

### Return

| Data Type | Description              |
| :-------: | ------------------------ |
|    bool   | true if the key is valid |

### Remarks

This function must be called after calling ValidateLicense or ValidateLicenseEx

A valid license key is a key that was decoded properly and is either a permanent or an evaluation key.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/isvalid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
